<?php
/*
    Plugin Name: MySiteAuditorCustomTemplate
    Plugin URI: https://MySiteAuditor.com
    Description: MySiteAuditorCustomTemplate
    Version: 1.0
    Author: Marvin Russell
    Author URI: https://mysiteauditor.com
*/

class MySiteAuditorCustomTemplate {

	private $source;
	private $dest;

	public function __construct() {
		$my_theme = wp_get_theme();
		$this->source = dirname(__FILE__) . '/templates/blank-page.php';
		$this->dest = $my_theme->get_template_directory() . '/blank-page.php';

		add_action( 'init', array( $this, 'mysiteauditor_custom_sidebar_init') );

		register_deactivation_hook( __FILE__, array( $this, 'mysiteauditor_custom_sidebar_deactivate' ) );
	}

	// Init plugin
	public function mysiteauditor_custom_sidebar_init() {
		if( !file_exists( $this->dest ) ) {
			copy( $this->source, $this->dest );
		}
	}

	//Deactivate plugin
	public function mysiteauditor_custom_sidebar_deactivate(){
		if( file_exists( $this->dest ) ) {
			unlink($this->dest);
		}
	}

}

//Initialize plugin
new MySiteAuditorCustomTemplate();
?>
